Bug 1931515 - Can't create cluster role binding from UI when a project is selected
Summary: Can't create cluster role binding from UI when a project is selected
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.z
Assignee: Robb Hamilton
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1929198
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-22 15:37 UTC by Robb Hamilton
Modified: 2021-03-30 17:03 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The fix for https://bugzilla.redhat.com/show_bug.cgi?id=1871996 to make the create RoleBinding links consistent resulted in the inability to select binding type when a namespace is selected. Consequence: Users who have an active namespace cannot create a cluster role binding without changing the active namespace to All namespaces. Fix: Revert part of the changes for https://bugzilla.redhat.com/show_bug.cgi?id=1871996 so that users can create a cluster role binding regardless of active namespace. Result: Users can create a cluster role binding regardless of active namespace.
Clone Of: 1929198
Environment:
Last Closed: 2021-03-30 17:03:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8212 0 None open [release-4.6] Bug 1931515: allow choice of binding type when creating RoleBinding 2021-03-08 15:21:00 UTC
Red Hat Product Errata RHBA-2021:0952 0 None None None 2021-03-30 17:03:25 UTC

Comment 1 Robb Hamilton 2021-02-24 15:45:51 UTC
Waiting on 4.7.z stream fix to merge.

Comment 4 Yanping Zhang 2021-03-22 09:29:25 UTC
Checked on ocp 4.6 cluster with payload 4.6.0-0.nightly-2021-03-21-131139.
1. Log into the cluster as kubeadmin
2. Select a project from the project list so that you have an active namespace
3. Open User Management -> RoleBindings
4. Click "Create binding", now there are radio buttons for choosing namespace rolebinding and clusterrolebinding, and could create rolebinding/clusterrolebinding successfully.
The bug is fixed.

Comment 6 errata-xmlrpc 2021-03-30 17:03:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.23 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0952


Note You need to log in before you can comment on or make changes to this bug.